Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.stat
Class CovFMMCallCenterStat

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.stat.CovFMMCallCenterStat

    public class CovFMMCallCenterStat

extends Object

Represents a set of probes that collect covariances in matrices of functions of multiple means tallies. An instance of this class is constructed using a `CallCenterStatProbes` object. For each matrix of functions of multiple means tallies defined in the inner set of probes, this class can extract the covariance matrix of the functions' domain, and add these covariances into matrices of tallies. This results in averages of covariances which are useful for estimating the variance of stratified estimators.

More specifically, let ∈ be a vector used to compute the function associated with position (r, c) in a matrix of performance measures m. Let be the matrix of covariances of . We suppose that ,…, are i.i.d. and is an average of ns vectors. The average covariance is

=

and the average weighted covariance is

= /ns.

Constructor Summary
`CovFMMCallCenterStat(CallCenterStatProbes stat, boolean varWeighted)` Constructs a new group of statistical probes for covariances from the inner call center statistics `stat`.

Method Summary
`void` | `addStat()` Adds new observations in each associated matrix of tallies.
`void` | `covariance(PerformanceMeasureType pm, int row, int col, DoubleMatrix2D cov)` Returns the covariance matrix for the function of multiple means tally corresponding to the element `(row, col)` of the matrix of performance measures `pm`.
`void` | `init()` Initializes every matrix of tallies encapsulated in this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CovFMMCallCenterStat

    public CovFMMCallCenterStat(CallCenterStatProbes stat,
                                boolean varWeighted)

  Constructs a new group of statistical probes for covariances from the inner call center statistics `stat`. If `varProp` is `true`, the returned covariances correspond to the proportional allocation in stratification. Otherwise, they depend on the number of observations in each stratum.

  Parameters:
    `stat` - the call center statistical object.
    `varWeighted` - the proportional allocation indicator.

Method Detail

### covariance

    public void covariance(PerformanceMeasureType pm,
                           int row,
                           int col,
                           DoubleMatrix2D cov)

  Returns the covariance matrix for the function of multiple means tally corresponding to the element `(row, col)` of the matrix of performance measures `pm`. If covariances are not queried for proportional allocation, the covariances are divided by the number of observations in the encapsulated tallies.

  Parameters:
    `pm` - the type of performance measure.
    `row` - the row in the matrix.
    `col` - the column in the matrix.
    `cov` - the 2D matrix filled with covariances.

### init

    public void init()

  Initializes every matrix of tallies encapsulated in this object.

### addStat

    public void addStat()

  Adds new observations in each associated matrix of tallies. This method is called at the end of each stratum or macroreplication and extracts the covariances from the matrices of functions of multiple means tallies. It then adds the covariances to the encapsulated matrices of tallies. If covariances are not queried for proportionnal allocation, the covariances are divided by the number of observations before they are added to the tallies, resulting in a weighted sum of covariances.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.